<script lang="ts">
  export let affiliation: Affiliation;
</script>

{#if affiliation === "Resistance"}
  <span class="emoji team-icon-resistance">✊</span>
{:else if affiliation === "Spies"}
  <span class="emoji team-icon-spies">👁️</span>
{/if}

<style>
  .team-icon-resistance {
    filter: sepia(1) hue-rotate(175deg) brightness(0.75) contrast(2);
  }
  .team-icon-spies {
    filter: sepia(1) hue-rotate(315deg) brightness(0.95) saturate(3.5);
  }
</style>
